Index: src/spectral/tss.c
===================================================================
--- src/spectral/tss.c	(revision c9cebe1cd399e9b3293a0133cb8c0a031019d36d)
+++ src/spectral/tss.c	(revision f1b6aad60e70a5ae95aa9e3a531827cdbae8d81f)
@@ -18,5 +18,5 @@
 */
 
-/* default values : alfa=4, beta=3, threshold=0.25 */
+/* default values : alpha=4, beta=3, threshold=0.25 */
 
 #include "aubio_priv.h"
@@ -26,8 +26,8 @@
 #include "spectral/tss.h"
 
-struct _aubio_tss_t 
+struct _aubio_tss_t
 {
-  smpl_t thrs;
-  smpl_t alfa;
+  smpl_t threshold;
+  smpl_t alpha;
   smpl_t beta;
   smpl_t parm;
@@ -44,8 +44,8 @@
 {
   uint_t i,j;
-  uint_t test;	
+  uint_t test;
   uint_t nbins     = input->length;
   uint_t channels  = input->channels;
-  smpl_t alfa      = o->alfa;
+  smpl_t alpha     = o->alpha;
   smpl_t beta      = o->beta;
   smpl_t parm      = o->parm;
@@ -83,7 +83,7 @@
       oft2[i][j]  = test;
       test = (trans->norm[i][j]>0.);
-      oft1[i][j] += alfa*test;
+      oft1[i][j] += alpha*test;
       test = (stead->norm[i][j]>0.);
-      oft2[i][j] += alfa*test;
+      oft2[i][j] += alpha*test;
       test = (oft1[i][j]>1. && trans->norm[i][j]>0.);
       oft1[i][j] += beta*test;
@@ -94,19 +94,19 @@
 }
 
-void aubio_tss_set_thres(aubio_tss_t *o, smpl_t thrs){
-	o->thrs = thrs;
-  	o->parm = thrs*o->thrsfact;
+uint_t aubio_tss_set_threshold(aubio_tss_t *o, smpl_t threshold){
+  o->threshold = threshold;
+  o->parm = o->threshold * o->thrsfact;
+  return AUBIO_OK;
 }
 
-aubio_tss_t * new_aubio_tss(smpl_t thrs, smpl_t alfa, smpl_t beta, 
-    uint_t size, uint_t overlap,uint_t channels)
+aubio_tss_t * new_aubio_tss(uint_t buf_size, uint_t hop_size, uint_t channels)
 {
   aubio_tss_t * o = AUBIO_NEW(aubio_tss_t);
-  uint_t rsize = size/2+1;
-  o->thrs = thrs;
-  o->thrsfact = TWO_PI*overlap/rsize;
-  o->alfa = alfa;	
-  o->beta = beta;	
-  o->parm = thrs*o->thrsfact;
+  uint_t rsize = buf_size/2+1;
+  o->threshold = 0.25;
+  o->thrsfact = TWO_PI*hop_size/rsize;
+  o->alpha = 3.;
+  o->beta = 4.;
+  o->parm = o->threshold*o->thrsfact;
   o->theta1 = new_fvec(rsize,channels);
   o->theta2 = new_fvec(rsize,channels);
@@ -127,2 +127,12 @@
 }
 
+uint_t aubio_tss_set_alpha(aubio_tss_t *o, smpl_t alpha){
+  o->alpha = alpha;
+  return AUBIO_OK;
+}
+
+uint_t aubio_tss_set_beta(aubio_tss_t *o, smpl_t beta){
+  o->beta = beta;
+  return AUBIO_OK;
+}
+
Index: src/spectral/tss.h
===================================================================
--- src/spectral/tss.h	(revision c9cebe1cd399e9b3293a0133cb8c0a031019d36d)
+++ src/spectral/tss.h	(revision f1b6aad60e70a5ae95aa9e3a531827cdbae8d81f)
@@ -28,5 +28,7 @@
   transient information in musical audio using multiresolution analysis
   techniques. In Proceedings of the Digital Audio Effects Conference, DAFx-01,
-  pages 1­5, Limerick, Ireland, 2001.
+  pages 1--5, Limerick, Ireland, 2001.
+
+  Available at http://www.csis.ul.ie/dafx01/proceedings/papers/duxbury.pdf
 
 */
@@ -39,36 +41,26 @@
 #endif
 
-/** TSS object */
+/** Transient / Steady-state Separation object */
 typedef struct _aubio_tss_t aubio_tss_t;
 
 /** create tss object
 
-  \param thrs separation threshold
-  \param alfa alfa parameter
-  \param beta beta parameter
-  \param size buffer size
-  \param overlap step size
+  \param win_s buffer size
+  \param hop_s step size
   \param channels number of input channels
 
 */
-aubio_tss_t * new_aubio_tss(smpl_t thrs, smpl_t alfa, smpl_t beta, 
-    uint_t win_s, uint_t hop_s, uint_t channels);
+aubio_tss_t *new_aubio_tss (uint_t win_s, uint_t hop_s, uint_t channels);
+
 /** delete tss object
 
-  \param s tss object as returned by new_aubio_tss
+  \param o tss object as returned by new_aubio_tss()
 
 */
-void del_aubio_tss(aubio_tss_t *s);
+void del_aubio_tss (aubio_tss_t * o);
 
-/** set transient / steady state separation threshold 
- 
-  \param tss tss object as returned by new_aubio_tss
-  \param thrs new threshold value
-
-*/
-void aubio_tss_set_thres(aubio_tss_t *tss, smpl_t thrs);
 /** split input into transient and steady states components
  
-  \param s tss object as returned by new_aubio_tss
+  \param o tss object as returned by new_aubio_tss()
   \param input input spectral frame
   \param trans output transient components
@@ -76,5 +68,30 @@
 
 */
-void aubio_tss_do(aubio_tss_t *s, cvec_t * input, cvec_t * trans, cvec_t * stead);
+void aubio_tss_do (aubio_tss_t * o, cvec_t * input, cvec_t * trans,
+    cvec_t * stead);
+
+/** set transient / steady state separation threshold 
+ 
+  \param o tss object as returned by new_aubio_tss()
+  \param thrs new threshold value
+
+*/
+uint_t aubio_tss_set_threshold (aubio_tss_t * o, smpl_t thrs);
+
+/** set parameter a, defaults to 3
+ 
+  \param o tss object as returned by new_aubio_tss()
+  \param alpha new value for alpha parameter
+
+*/
+uint_t aubio_tss_set_alpha (aubio_tss_t * o, smpl_t alpha);
+
+/** set parameter b, defaults to 3
+ 
+  \param o tss object as returned by new_aubio_tss()
+  \param beta new value for beta parameter
+
+*/
+uint_t aubio_tss_set_beta (aubio_tss_t * o, smpl_t beta);
 
 #ifdef __cplusplus
